<div class="group-map" ...attributes>
  <div class="attributes-position" {{did-insert this.setup}} {{did-update this.checkEditMode @details}}>
    <div class="map-container {{if this.editMode 'fullscreen' 'view-mode'}}">
      <Map::Plain @disabled={{not this.editMode}} @onReady={{this.mapSetup}} as |map|>
        <Map::View @map={{map}} @extentM={{this.mapExtent}} />

        <Map::Interaction::DoubleClickZoom @map={{map}} @duration={{150}} @delta={{1}} />
        <Map::Layer::Base @map={{map}} @value={{this.selectedBaseMap}} @onSetupError={{this.layerSetupError}} />
        <Map::Layer::SelectableVectorTiles @selectedId={{this.details.id}} @bearer={{this.bearer}} @url={{this.map.tilesUrl}} @map={{map}} @onSelect={{this.selectFeature}} @cacheId={{@map.id}} />

        {{#if this.editMode}}
          <Map::Container @right={{true}} @top={{true}}>
            <button class="btn btn-secondary btn-dismiss" type="button" {{on "click" this.dismiss}}>
              <FaIcon @icon="times" />
            </button>
          </Map::Container>

          <Map::Container @left={{true}} @bottom={{true}}>
            <button class="btn btn-primary btn-submit btn-submit-location" type="button" {{on "click" this.confirm}}>
              {{capitalize (t "save the pin location")}}
            </button>
          </Map::Container>

          <Map::Container @right={{true}} @bottom={{true}}>
            <Map::Controls @localizationEnabled={{not this.position.isError}} @onLocalize={{this.localize}} @map={{map}} />
            <Map::BaseMapSelect @list={{this.baseMaps}} @selected={{this.selectedBaseMap}} @onSelect={{this.selectBaseMap}} />
          </Map::Container>
        {{/if}}
      </Map::Plain>

      {{#unless this.editMode}}
        {{! template-lint-disable no-invalid-interactive }}
        <div {{on "click" this.edit}} class="picker-options d-flex justify-content-around align-content-center flex-column">
          <div class="m-auto">
            {{t "pick a location on the map"}}
          </div>
        </div>
      {{/unless}}
    </div>
  </div>
</div>